/*
 * (C) Copyright 2007-2011 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Stephane Lacoin
 *
 */

package org.nuxeo.ecm.platform.ui.web;

import org.nuxeo.ecm.platform.ui.web.util.beans.PropertiesEditorsInstaller;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class UIWebActivator implements BundleActivator {

    PropertiesEditorsInstaller editorsInstaller = new PropertiesEditorsInstaller();

    @Override
    public void start(BundleContext context) {
        editorsInstaller.installEditors();
    }

    @Override
    public void stop(BundleContext context) {
        editorsInstaller.uninstallEditors();
    }

}
