/*
 * Copyright 2013 LMAX Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.freud.analysed.text;

import org.freud.core.Creator;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;

public final class TextFromFileCreator implements Creator<File, Text> {

    @Override
    public Text create(final File source) {
        try {
            return new Text(new FileReader(source));
        }
        catch (FileNotFoundException e) {
            throw new IllegalArgumentException("Cannot create Text", e);
        }
    }
}
