/*
 * This library is part of OpenCms -
 * the Open Source Content Management System
 *
 * Copyright (c) Alkacon Software GmbH & Co. KG (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.gwt.client.ui.css;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;

/**
 * Resource bundle to access CSS constants.
 *
 * @since 8.0.0
 */
public interface I_CmsConstantsBundle extends ClientBundle {

    /** Constants CSS. */
    public interface I_CmsConstantsCss extends CssResource {

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorDialog();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorDialogBorder();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorDisabled();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorEmptyContainer();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorHighlight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorInfo();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorInputError();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorListItem();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorMenu();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorOverlay();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorPopupShadow();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorSitemap();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorSitemapExpired();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorSitemapHighlight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorSoft();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateActive();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateChanged();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateDisabled();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateHover();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateNew();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateStandard();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String backgroundColorStateSubSitemap();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColorDialog();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColorEditor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColorHighlight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColorListItem();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderColorTopDialog();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderRadius();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String borderRadiusButton();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String boxShadow();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String buttonColorBlue();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String buttonColorCyan();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String buttonColorGray();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String buttonColorOrange();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String buttonColorRed();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String colorError();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String colorWarning();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxAnotherMonthBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxDayFontSize();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxHoveredDayBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxSelectedDayBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxTodayColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String dateboxWeekendBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String defaultSpace();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String fontFamily();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String fontFamilyMono();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String fontSize();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String fontSizeBig();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String fontSizeSmall();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientDialogHeader();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientFormDialog();

        /**
        * Access method.<p>
        *
        * @return the CSS constant value
        */
        String gradientFormDialogColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientFormDialogFocus();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientFormDialogFocusColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientInvalid();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String gradientListItem();

        /**
            * Access method.<p>
            *
            * @return the CSS constant value
            */
        String gradientPlaceholder();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String inputHeight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String inputInnerHeight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String lineHeight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String lineHeightBig();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String lineHeightSmall();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationErrorBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationErrorBorder();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationErrorColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationNormalBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationNormalBorder();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationNormalColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationWarningBg();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationWarningBorder();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String notificationWarningColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String overlayOpacity();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColor();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorCaption();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorChanged();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorDarkButton();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorDisabled();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorDisabledButton();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorEditorLabel();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorHighlight();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorImportant();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorLightButton();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String textColorNew();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        String toolbarWidth();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexDND();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexGroupContainer();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexHighlighting();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexInline();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexMenu();

        /**
         * Access method.<p>
         *
         * @return the CSS constant value
         */
        int zIndexPopup();
    }

    /** The bundle instance. */
    I_CmsConstantsBundle INSTANCE = GWT.create(I_CmsConstantsBundle.class);

    /**
     * Access method.<p>
     *
     * @return the constants CSS
     */
    @Source("constants.css")
    I_CmsConstantsCss css();
}
