/*
 * Copyright 2016 higherfrequencytrading.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.openhft.lang.values;

import net.openhft.lang.model.constraints.Range;

/**
 * User: peter.lawrey
 * Date: 10/10/13
 * Time: 07:19
 */
public interface UnsignedIntValue {
    long getValue();

    void setValue(@Range(min = 0, max = (1L << 32) - 1) long value);

    long addValue(long delta);
}
