/*
 * Copyright 2013 MovingBlocks
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.terasology.logic.characters.events;

import org.terasology.entitySystem.event.Event;
import org.terasology.world.block.Block;

/**
 * This event is sent when a character moves far enough to trigger a swim stroke (similar to a footstep on land)
 *
 */
public class SwimStrokeEvent implements Event {
    private Block liquid;

    public SwimStrokeEvent(Block liquid) {
        this.liquid = liquid;
    }

    public Block getLiquid() {
        return liquid;
    }
}
