/**
 * Copyright (C) 2011 Brian Ferris <bdferris@onebusaway.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onebusaway.gtfs.impl;

import java.io.File;

import org.onebusaway.gtfs.model.calendar.CalendarServiceData;
import org.onebusaway.gtfs.services.calendar.CalendarServiceDataFactory;
import org.onebusaway.utility.ObjectSerializationLibrary;

public class SerializedCalendarServiceDataFactoryImpl implements
    CalendarServiceDataFactory {

  private File _path;

  public void setPath(File path) {
    _path = path;
  }

  public CalendarServiceData createData() {
    try {
      return ObjectSerializationLibrary.readObject(_path);
    } catch (Exception ex) {
      throw new IllegalStateException("error reading service calendar data at "
          + _path, ex);
    }
  }

}
