/*
 * Copyright 2015 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.android.agera;

import android.support.annotation.Nullable;

/**
 * The exception thrown by {@link Result#get()} on a failed result. The cause of the failure can be
 * accessed via {@link #getCause()}.
 *
 * 错误结果（ Result ）异常
 */
public final class FailedResultException extends IllegalStateException {

    FailedResultException(@Nullable final Throwable cause) {
        super("Cannot get() from a failed result", cause);
    }
}
