/*
 * Copyright 2015 Palantir Technologies, Inc. All rights reserved.
 *
 * Licensed under the BSD-3 License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.palantir.example.profile.schema;

import com.palantir.atlasdb.encoding.PtBytes;

public class CreationData {
    final long timeCreated;

    public CreationData(long timeCreated) {
        this.timeCreated = timeCreated;
    }

    public long getTimeCreated() {
        return timeCreated;
    }

    public static class Persister implements com.palantir.atlasdb.persist.api.Persister<CreationData> {
        @Override
        public Class<CreationData> getPersistingClassType() {
            return CreationData.class;
        }

        @Override
        public CreationData hydrateFromBytes(byte[] input) {
            return new CreationData(PtBytes.toLong(input));
        }

        @Override
        public byte[] persistToBytes(CreationData creationData) {
            return PtBytes.toBytes(creationData.timeCreated);
        }
    }

}
