/*
 * Copyright 2015-2017 Alexandr Evstigneev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.perl5.lang.htmlmason.idea.project;

import com.intellij.openapi.components.ProjectComponent;
import com.intellij.openapi.project.Project;
import com.perl5.lang.htmlmason.idea.configuration.HTMLMasonSettings;
import org.jetbrains.annotations.NotNull;

/**
 * Created by hurricup on 11.03.2016.
 */
public class HTMLMasonProjectComponent implements ProjectComponent {
  private Project myProject;

  public HTMLMasonProjectComponent(Project myProject) {
    this.myProject = myProject;
  }

  @Override
  public void projectOpened() {
    HTMLMasonSettings settings = HTMLMasonSettings.getInstance(myProject);
    settings.updateSubstitutors();
    settings.prepareLexerConfiguration();
  }

  @Override
  public void projectClosed() {
    HTMLMasonSettings.getInstance(myProject).removeSubstitutors();
  }

  @Override
  public void initComponent() {

  }

  @Override
  public void disposeComponent() {

  }

  @NotNull
  @Override
  public String getComponentName() {
    return "HTMLMasonProjectComponent";
  }
}
