/*
 * Copyright 2017 MovingBlocks
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.terasology.logic.players.event;

import org.terasology.entitySystem.event.Event;

/**
 *  This event gets sent when the player respawns.<br/>
 *  The player entity is preserved along with its components during respawn.<br/>
 *  This event should be received and handled by systems that need to reset
 *  some components attached to the player entity.
 */
public class OnPlayerRespawnedEvent implements Event {
}
