/*
 * Copyright (c) 2008-2016 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.haulmont.cuba.gui.components.calendar;

import java.io.Serializable;
import java.util.Date;

public interface CalendarEvent extends Serializable {
    Date getStart();
    void setStart(Date start);

    Date getEnd();
    void setEnd(Date end);

    String getCaption();
    void setCaption(String caption);

    void setDescription(String description);
    String getDescription();

    String getStyleName();
    void setStyleName(String styleName);

    boolean isAllDay();
    void setAllDay(boolean isAllDay);

    void addEventChangeListener(EventChangeListener listener);
    void removeEventChangeListener(EventChangeListener listener);

    class EventChangeEvent implements Serializable {

        private CalendarEvent source;

        public EventChangeEvent(CalendarEvent source) {
            this.source = source;
        }

        public CalendarEvent getCalendarEvent() {
            return source;
        }
    }

    interface EventChangeListener extends Serializable {

        void eventChange(EventChangeEvent eventChangeEvent);
    }
}
