/*
 * Copyright (c) 2014-2015 VMware, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.  You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, without warranties or
 * conditions of any kind, EITHER EXPRESS OR IMPLIED.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package com.vmware.xenon.services.common;

import com.vmware.xenon.common.FactoryService;
import com.vmware.xenon.common.Service;

/**
 * Transaction factory (each instance is a transaction coordinator)
 */
public class TransactionFactoryService extends FactoryService {
    public static final String SELF_LINK = ServiceUriPaths.CORE_TRANSACTIONS;

    public TransactionFactoryService() {
        super(TransactionService.TransactionServiceState.class);
        // Using idempotency of POSTs to allow clients to pick a TXID and
        // launch a series of operations.
        super.toggleOption(ServiceOption.IDEMPOTENT_POST, true);
    }

    @Override
    public Service createServiceInstance() throws Throwable {
        return new TransactionService();
    }
}
