/*
 * Copyright 2016 Vitaly Litvak (vitavaque@gmail.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.traccar.web.shared.model;

import com.google.gwt.user.client.rpc.IsSerializable;

public enum MatchServiceType implements IsSerializable {
    OSRM_V4("OSRM v4", "https://router.project-osrm.org/match"),
    OSRM_V5("OSRM v5", "https://router.project-osrm.org/match/v1/driving/");

    private final String name;
    private final String defaultURL;

    MatchServiceType(String name, String defaultURL) {
        this.name = name;
        this.defaultURL = defaultURL;
    }

    public String getName() {
        return name;
    }

    public String getDefaultURL() {
        return defaultURL;
    }
}
