/*
 * Copyright (c) 2014-2015 VMware, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.  You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, without warranties or
 * conditions of any kind, EITHER EXPRESS OR IMPLIED.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package com.vmware.xenon.services.common;

import com.vmware.xenon.common.Utils;

/**
 * Request object to clear the authz cache for the specified subject
 */
public  class AuthorizationCacheClearRequest {
    public static final String KIND = Utils.buildKind(AuthorizationCacheClearRequest.class);
    public String kind;
    public String subjectLink;

    private AuthorizationCacheClearRequest(String subjectLink) {
        this.subjectLink = subjectLink;
        this.kind = KIND;
    }

    public static AuthorizationCacheClearRequest create(String subjectLink) {
        return new AuthorizationCacheClearRequest(subjectLink);
    }
}
