/* Copyright (c) 2015 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.chunky.renderer;

/**
 * Postprocessing modes.
 *
 * @author Jesper Öqvist <jesper@llbit.se>
 */
public enum Postprocess {
  NONE {
    @Override public String toString() {
      return "None";
    }
  },
  GAMMA {
    @Override public String toString() {
      return "Gamma correction";
    }
  },
  TONEMAP1 {
    @Override public String toString() {
      return "Tonemap operator 1";
    }
  },
  TONEMAP2 {
    @Override public String toString() {
      return "ACES filmic tone mapping";
    }
  },
  TONEMAP3 {
    @Override public String toString() {
      return "Hable tonemapping";
    }
  };

  public static final Postprocess DEFAULT = GAMMA;

  public static Postprocess get(String name) {
    try {
      return Postprocess.valueOf(name);
    } catch (IllegalArgumentException e) {
      return DEFAULT;
    }
  }
}
