/*
 * Copyright 2017 Huawei Technologies Co., Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.servicecomb.common.rest.codec.produce;

import javax.ws.rs.core.MediaType;

import io.servicecomb.foundation.common.RegisterManager;

public final class ProduceProcessorManager extends RegisterManager<String, ProduceProcessor> {
    private static final String NAME = "produce processor mgr";

    public static final String DEFAULT_TYPE = MediaType.APPLICATION_JSON;

    public static final ProduceProcessorManager INSTANCE = new ProduceProcessorManager();

    public static final ProduceProcessor JSON_PROCESSOR = new ProduceJsonProcessor();

    public static final ProduceProcessor PLAIN_PROCESSOR = new ProduceTextPlainProcessor();

    public static final ProduceProcessor DEFAULT_PROCESSOR = JSON_PROCESSOR;

    private ProduceProcessorManager() {
        super(NAME);
    }

}
